<template>
	<view class="center plr-25">

		<view class="flex-column br-12 fs-28 mt-30" style="background: white;">
			<text class="fs-32 fw-700 mt-30" style="text-align: left;padding-left: 30rpx;">其他缴费</text>
			<text class="fs-28 mt-30" style="text-align: left;padding-left: 30rpx;">项目名称</text>
			<view class="flex-row-between mar-30 br-4 pad-25" style="background: #F2F2F2;">
				<input style="width: 100%;text-align: left;" placeholder="请输入项目名称" />
			</view>
			<text class="fs-28" style="text-align: left;padding-left: 30rpx;">项目描述</text>
			<view class="flex-row-between mar-30 br-4 pad-25" style="background: #F2F2F2;">
				<textarea style="width: 100%;text-align: left;height: 120rpx;" placeholder="请输入项目描述" />
			</view>

			<view class="flex-column br-12 fs-28 mt-20 pad-25" style="background: white;">
				<text class="fs-32 fw-700 mb-10" style="text-align: left;color: #000;"><text
						style="color: #FF2626;">*</text>缴费金额</text>
				<view>
					<view class="grid-container">
						<view @click="onClickPrice(index)" class="grid-item"
							:style="index==indexTab? 'color:#ffffff;background: #1FCA7C;':'color:#000000;;background:#F2F2F2;'"
							v-for="(item, index) in 6" :key="index">
							<text class="fs-32 fw-600 mtb-20">20</text>
						</view>
					</view>
				</view>
			</view>
		</view>
		<view class="fullscreen-btn" style="margin: 0;margin-top: 60rpx;">
			立即缴费
		</view>

	</view>
</template>

<script>
	export default {
		data() {
			return {
				indexTab: 0,
				type: 0,

			};
		},
		onLoad(options) {
			this.type = options.type

		},
		methods: {
			onClickPrice(index) {
				this.indexTab = index
			},

			onClick(index) {
				if (index == 0) {
					this.$wskj.to("/pagesMain/pages/tsby_submit?type=0")
					return
				}
				if (index == 1) {
					this.$wskj.to("/pagesMain/pages/tsby_submit?type=1")
					return
				}
				if (index == 2) {
					this.$wskj.to("/pagesMain/pages/tsby_lsgd")
					return
				}
				if (index == 3) {
					this.$wskj.to("/pagesMain/pages/fwgz")
					return
				}
			}
		}
	};
</script>

<style>
	.center {
		height: 100vh;
		display: flex;
		flex-direction: column;
		background: #F2F2F2;
	}

	.grid-container {
		display: flex;
		flex-wrap: wrap;
		justify-content: space-around; // 可以根据需求调整元素的水平排列方式，这里是均匀分布
		align-items: center; // 垂直方向居中对齐
	}

	.grid-item {
		width: 32%;
		height: 80rpx; // 宫格高度
		display: flex;
		flex-direction: column;
		justify-content: center;
		align-items: center;
		background: #F2F2F2;
		border-radius: 12rpx;
		margin-top: 10rpx;
	}
</style>